<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

 <!-- we basically want to copy everything except for a few targets that no longer apply -->
  <xsl:output method="xml"/>

  <!-- for some reason, the default copy-of doesn't copy empty attributes, so have this to get the empty arg1 in equals-->
  <xsl:template match="project|condition|and|isset|equals|not|or">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <!--<xsl:for-each select="@*">
	<xsl:attribute name="name()"><xsl:value-of select="."/></xsl:attribute>
      </xsl:for-each>-->
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>
  
  <!-- delete the install-for-dist target-->
  <xsl:template match="target[@name='install-for-dist']">
  </xsl:template>
    
  <!-- delete the unnecessary targets -->
  <xsl:template match="target[starts-with(@name, 'prepare')]">
  </xsl:template>
  <xsl:template match="target[starts-with(@name, 'cvsupdate')]">
  </xsl:template>
  <xsl:template match="target[starts-with(@name, 'update')]">
  </xsl:template>
  <xsl:template match="target[starts-with(@name, 'checkout')]">
  </xsl:template>
  
  <!-- save the prepare-tomcat and prepare-mysql targets -->
  <xsl:template match="target[@name='prepare-tomcat']">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="target[@name='prepare-tomcat-compat']">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="target[@name='prepare-mysql']">
    <xsl:copy-of select="."/>
  </xsl:template>
  <xsl:template match="target[@name='prepare-web']">
    <xsl:copy-of select="."/>
  </xsl:template>
  <!-- rename the 'prepare-for-source' target 'prepare' -->
  <xsl:template match="target[@name='prepare-for-source']">
    <target name="prepare">
      <xsl:copy-of select="@depends|@description|@if|@unless|node()"/>
    </target>
  </xsl:template>


  <xsl:template match="*">
    <xsl:copy-of select="."/>
  </xsl:template>

  <xsl:template match="comment()">
    <xsl:copy-of select="."/>
    <xsl:text>
</xsl:text>
  </xsl:template>
    
</xsl:stylesheet>
